<?php


namespace Tool\MayouTool\Sms;


use Tool\MayouTool\HttpCurl;

class SanTiSms
{
    /**
     * 短信发送
     * @param $phone
     * @param $code
     */
    public static function send($phone, $code)
    {
        $appId = env("SANTI_SMS_APPID");
        $appKey = env("SANTI_SMS_APPKEY");
        $url = env("SANTI_SMS_URL");

        $params = [
            "appId"=>$appId,
            "appKey"=>$appKey,
            "modeId"=>"225749",
            "vars"=>$code,
            "mobile"=>$phone,
            "sign"=>strtolower(md5($appKey.$appId.$phone)),
        ];
        return HttpCurl::getCurl($url,$params);
    }
}